# modified from NiLuJe's autopatch.sh: http://trac.ak-team.com/trac/browser/niluje/Configs/trunk/Kindle/Kobo_Hacks/Patches/autopatch.sh

echo "Uncompressing tarballs"
gunzip -c src/NM.tgz > NM.tar
gunzip -c out/KoboRoot.tgz > KoboPatch.tar
echo "Merging tarballs"
tar -Avf NM.tar KoboPatch.tar
echo "Compressing merged tarball"
gzip NM.tar
echo "Collecting garbage"
rm out/KoboRoot.tgz KoboPatch.tar
mv -v NM.tar.gz out/KoboRoot.tgz
